import request from '@/utils/request'

// 首页用户统计
export function indexStatics(query) {
  return request({
    url: '/business/tran_record/count',
    method: 'get',
    params: query
  })
}
// 查询app用户列表
export function listUser(query) {
  return request({
    url: '/business/user/list',
    method: 'get',
    params: query
  })
}
// 查询app用户列表
export function channelList() {
  return request({
    url: '/business/channel/allList',
    method: 'get',
    // params: query
  })
}

// 查询app用户详细
export function getUser(userid) {
  return request({
    url: '/business/user/' + userid,
    method: 'get'
  })
}

// 新增app用户
export function addUser(data) {
  return request({
    url: '/business/user',
    method: 'post',
    data: data
  })
}

// 修改app用户
export function updateUser(data) {
  return request({
    url: '/business/user',
    method: 'put',
    data: data
  })
}

// 删除app用户
export function delUser(userid) {
  return request({
    url: '/business/user/' + userid,
    method: 'delete'
  })
}

// 重置密码
export function resetUser(data) {
  return request({
    url: '/business/user/restPwd',
    method: 'post',
    data: data
  })
}

// 充值
export function userCharge(data) {
  return request({
    url: '/business/user/charge',
    method: 'post',
    data: data
  })
}

// 补足提现流水
export function withdraw(data) {
  return request({
    url: '/business/user/withdraw',
    method: 'post',
    data: data
  })
}
